<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>

<script type="text/javascript">

// 1) Transforme la hora actual en segundos.
function hora_actual(){
   
    document.write("1) TRANSFORME LA HORA ACTUAL EN SEGUNDOS."+"<br>");
    var hr=new Date();
    var hora=hr.getHours(),minuto=hr.getMinutes(),segundo=hr.getSeconds();
    document.write("hora actual:  "+hora+":"+minuto+":"+segundo+"<br>" );
    totalS=parseFloat(hora*3600)+ parseFloat(minuto*60)+ parseFloat(segundo)
    document.write(" La hora actual en segundos es:  "+totalS +"<br>" );
    document.write("<br>");}
//2) Calcular el área de un triángulo, que es igual a: (base * altura)/2.
function area_triangulo(){
    document.write("2) CALCULAR EL AREA DE UN TRIANGULO,QUE ES IGUAL A (BASE*ALTURA)/2"+"<br>");
    var base= parseInt(prompt("ingrese la base del ejercicio 2:"));
    var altura = parseInt(prompt("ingrese la altura del ejercicio 2"));
    var area;
    area= (base*altura)/2;
    document.write(" la base es: " +base+"<br>");
    document.write(" la altura es es: " +altura+"<br>");
    document.write("el area del triangulo es: "+area+"<br>");
    document.write("<br>");}
    //3) Calcule la raíz cuadrada de un número impar y muestre el resultado con 3 dígitos.
    function raiz_cuadrada(){
        document.write("3) CALCULE LARAIZ CUADRADA DE UNA NUMERO IMPAR Y MUESTRE EL RESULTADO CON 3 DIGITOS"+"<br>");
        var numero= parseInt(prompt("ingrese un numero impar del ejercicio 3"));
        document.write("La raiz del numero "+numero+" es  :  "+(Math.sqrt(numero)).toFixed(3)+"<br>");
        document.write("<br>")}
    //4) Ingresar una cadena de texto y mostrar la longitud de la cadena.
    function cadena(){
        document.write("4) INGRESAR UNA CADENA DE TEXTO Y MOSTRAR LA LONGITUD DE LA CADENA"+"<br>");
        var cadena= prompt("ingrese la cadena de texto del ejercicio 4");
        document.write("La longitud de la cadena es :"+cadena.length+"<br>");
        document.write("<br>");}
        //5) Concatenar los arrays:  array1(Lunes, Martes, Miércoles, Jueves, Viernes) y array 2 (Sábado, Domingo)
        function arreglo(){
            document.write("5) CONCATENAR LOS ARRAYS:ARRAY1(LUNES,MARTES,MIERCOLES,JUEVES,VIERNES)Y ARRAY2(SABADO,DOMINGO)"+"<BR>");
            var array1=['lunes','martes','miercoles','jueves','viernes'];
            var array2=['sabado','domingo'];
            var arrayfinal= array1.concat(array2);
            document.write("array1="+array1+"<br>");
            document.write("array2="+array2+"<br>");
            document.write("array 1 + array2 ="+ arrayfinal+"<br>");
            document.write("<br>"); }
            //6) Mostrar la versión del navegador.
        function navegador(){
            document.write("6) MOSTRAR LA VERSION DEL NAVEGADOR"+"<br>");
            document.write("La version del navegador es "+navigator.appVersion+"<br>");
            document.write("<br>");}
            //7) Mostrar el ancho y la altura de la pantalla.      
        function ventana(){
            document.write("7) MOSTRAR LEL ANCHO Y LA ALTURA DE LA PANTALLA"+"<br>");
            document.write("el ancho de la pantalla es: "+screen.width+"<br>");
            document.write("La altura de la pantalla es: "+screen.height+"<br>");
            document.write("<br>");
            //8) Imprimir la página.
        }
        function imprimir(){
            document.write("8) IMPRIMIR PAGINA"+"<br>");
            document.write(window.print());
        }
</script>
</head>

<h1>TALLER 3</h1>


<body style="background-color: rgb(170, 123, 133);">
<script type="text/javascript">
     hora_actual();
     area_triangulo();
     raiz_cuadrada();
     cadena();
     arreglo();
     navegador();
     ventana();
     imprimir();
</script> 
</body>
</html>
